@(define v (vector-int 10))@
@(vector-fill! v 0)@
@(vector-set! v 1 10)@
@#example@
@(describe v)@
@(define v3 (vector-int v))@
@(<= v v3)@
@(vector-set! v 0 1)@
@(describe v)@
@(<= v v3)@
@#endexample@
@(bye)@
